// Line processing states

enum
{
	LINE_BEGIN,
	LINE_OPCODE,
	LINE_OPERAND,
	LINE_COMMENT,

	LINE_DONE = LINE_COMMENT
};

// prototypes

extern OSErr	OutByte(UBYTE v);
extern OSErr	OutWord(UWORD v);
extern OSErr	OutLong(ULONG v);
extern OSErr	InitAssembler(const FSSpec *spec);
extern OSErr	TermAssembler(void);
extern OSErr	Assemble( FSSpec *inSpec, Handle hand, Size size, FSSpec *outSpec );
extern OSErr	AssembleLine(Ptr *src);
extern OSErr	AssembleText(Ptr src, Size size);
OSErr IncludeFile( char* inclname, Boolean fullSearch );
OSErr ErrorMessage( OSErr error, OSErr oserr, int line, ErrorType errtype );
void FatalMessage( OSErr error );
